Qt 5.11 | Qt 3D | C++ Classes | QTextureRectangle

Qt 5.11.3 Reference Documentation

# QTextureRectangle Class

(Qt3DRender::QTextureRectangle)

A QAbstractTexture with a TargetRectangle target format. More...

Header: | #include <QTextureRectangle>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | Qt3DRender::QAbstractTexture

- List of all members, including inherited members

## Public Functions

| QTextureRectangle(Qt3DCore::QNode *parent = nullptr)

- 21 public functions inherited from Qt3DRender::QAbstractTexture
- 13 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 15 properties inherited from Qt3DRender::QAbstractTexture
- 3 properties inherited from Qt3DCore::QNode
- 12 public slots inherited from Qt3DRender::QAbstractTexture
- 3 public slots inherited from Qt3DCore::QNode
- 13 signals inherited from Qt3DRender::QAbstractTexture
- 4 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DRender::QAbstractTexture
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A QAbstractTexture with a TargetRectangle target format.

## Member Function Documentation

### QTextureRectangle::QTextureRectangle(Qt3DCore::QNode *parent = nullptr)

Constructs a new Qt3DRender::QTextureRectangle instance with parent as parent.